﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.System
{
    /// <summary>
    /// 消息列表
    /// 请求dto
    /// </summary>
    public class MsgDto:DtoBase
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
    }

    /// <summary>
    /// 消息详细信息
    /// 请求dto
    /// </summary>
    public class MsgInfoDto : DtoBase
    {
        /// <summary>
        /// 消息Id
        /// </summary>
        public int MsgId { get; set; }
    }

    /// <summary>
    /// 消息设置已读
    /// 请求dto
    /// </summary>
    public class MsgSetReadDto : DtoBase
    {
        /// <summary>
        /// MsgAnthId
        /// </summary>
        public int MsgAnthId { get; set; }
    }

    /// <summary>
    /// 消息删除
    /// 请求dto
    /// </summary>
    public class MsgDeleteDto : DtoBase
    {
        /// <summary>
        /// MsgId
        /// </summary>
        public int MsgId { get; set; }

        /// <summary>
        /// userId
        /// </summary>
        public int UserId { get; set; }
    }
}
