﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 签证进度表
    /// </summary>
    [SugarTable("Grp_VisaProgress")]
    public class Grp_VisaProgress:EntityBase
    {
        /// <summary>
        /// 团组表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }
        /// <summary>
        /// 国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Country { get; set; }
        /// <summary>
        /// 收集资料
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string GetData { get; set; }
        /// <summary>
        /// 收集资料时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime GetDataTime { get; set; }
        /// <summary>
        /// 取护照
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string GetPassport { get; set; }
        /// <summary>
        /// 取护照时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime GetPassportTime { get; set; }
        /// <summary>
        /// 填资料
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string FillData { get; set; }
        /// <summary>
        /// 填资料时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime FillDataTime { get; set; }
        /// <summary>
        /// 送签
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string SendVisa { get; set; }
        /// <summary>
        /// 送签时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime SendVisaTime { get; set; }
        /// <summary>
        /// 出签
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string SignOut { get; set; }
        /// <summary>
        /// 出签时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime SignOutTime { get; set; }
        /// <summary>
        /// 归还护照
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string SendBackPassport { get; set; }
        /// <summary>
        /// 归还护照时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public string SendBackPassporTime { get; set; }
        /// <summary>
        /// 护照接收者
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Receiver { get; set; }
    }
}
