﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    public class SetDataView
    {
        public int Id { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// setdatatype id
        /// </summary>
        public int STid { get; set; }
    }

    /// <summary>
    /// 数据data
    /// </summary>
    public class SetDataInfoView
    {
        public int Id { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        public string Name { get; set; }
    }



    public class SetDataAndPageInfoView
    {
        /// <summary>
        /// 模块id
        /// </summary>
        public int Modulid { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        public string ModulName { get; set; }
        /// <summary>
        /// setdatatype id
        /// </summary>
        public int STid { get; set; }
        /// <summary>
        /// 模块备注
        /// </summary>
        public string ModulRemark { get; set; }

        /// <summary>
        /// 页面id
        /// </summary>
        public int Pageid { get; set; }
        
        /// <summary>
        /// 页面名称
        /// </summary>
        public string PageName { get; set; }

        /// <summary>
        /// 页面是否启用
        /// </summary>
        public int PageIsEnable { get; set; }

       
        public int PagePhoneIsEnable { get; set; }

        /// <summary>
        /// 页面Code
        /// </summary>
        public string SystemMenuCode { get; set; }

        public string WebUrl { get; set; }

        public string AndroidUrl { get; set; }

        public string IosUrl { get; set; }

        /// <summary>
        /// 手机端图标
        /// </summary>
        public string Icon { get; set; }

        /// <summary>
        /// 页面备注
        /// </summary>
        public string PageRemark { get; set; }
    }
}
